scala.actors
class FJTaskScheduler2

[source: `scala/actors/FJTaskScheduler2.scala`]

`` `class` FJTaskScheduler2
  `extends` Thread `with` IScheduler

  FJTaskScheduler2

Version
  0.9.6
Author
  Philipp Haller

Value Summary
`val` | coreProp : String
`val` | initCoreSize : Int
`val` | maxProp : String
`val` | maxSize : Int
`val` | printStats : Boolean

Values and Variables inherited from IScheduler
QUIT_TASK

Method Summary
`def` | execute (task : Reaction) : Unit
`def` | execute (task : scala.actors.FJTask) : Unit
`def` | getPendingCount : Int
`def` | getTask (worker : WorkerThread) : Null
`def` | onLockup (millis : Int)(handler : () => Unit) : Unit
`def` | onLockup (handler : () => Unit) : Unit
`def` | pendReaction : Unit
`def` | printActorDump : Unit
`override def` | run : Unit
`def` | setPendingCount (cnt : Int) : Unit
`def` | shutdown : Unit Shuts down all idle worker threads.
`def` | snapshot : scala.actors.LinkedQueue
`def` | start (task : Reaction) : Unit
`def` | terminated (a : Actor) : Unit
`def` | tick (a : Actor) : Unit
`def` | unPendReaction : Unit

Methods inherited from Thread
blockedOn, start, stop, stop, interrupt, isInterrupted, destroy, isAlive, suspend, resume, setPriority, getPriority, setName, getName, getThreadGroup, countStackFrames, join, join, join, setDaemon, isDaemon, checkAccess, toString, getContextClassLoader, setContextClassLoader, getStackTrace, getId, getState, getUncaughtExceptionHandler, setUncaughtExceptionHandler

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` printStats : Boolean

`` `val` coreProp : String

`` `val` maxProp : String

`` `val` initCoreSize : Int

`` `val` maxSize : Int

Method Details

`` `def` pendReaction : Unit

Overrides
  IScheduler.pendReaction

`` `def` unPendReaction : Unit

Overrides
  IScheduler.unPendReaction

`` `def` getPendingCount : Int

`` `def` setPendingCount(cnt : Int) : Unit

`` `def` printActorDump : Unit

Overrides
  IScheduler.printActorDump

`` `def` terminated(a : Actor) : Unit

Overrides
  IScheduler.terminated

`` `def` onLockup(handler : () => Unit) : Unit

Overrides
  IScheduler.onLockup

`` `def` onLockup(millis : Int)(handler : () => Unit) : Unit

Overrides
  IScheduler.onLockup

`override` `def` run : Unit

Overrides
  Thread.run

`` `def` execute(task : Reaction) : Unit

Parameters
  `item -` the task to be executed.

Overrides
  IScheduler.execute

`` `def` execute(task : scala.actors.FJTask) : Unit

Overrides
  IScheduler.execute

`` `def` start(task : Reaction) : Unit

Overrides
  IScheduler.start

`` `def` getTask(worker : WorkerThread) : Null

Parameters
  `worker -` the worker thread executing tasks
Returns
  the executed task

Overrides
  IScheduler.getTask

`` `def` tick(a : Actor) : Unit

Parameters
  `a -` the actor

Overrides
  IScheduler.tick

`` `def` shutdown : Unit

  Shuts down all idle worker threads.

Overrides
  IScheduler.shutdown

`` `def` snapshot : scala.actors.LinkedQueue

Overrides
  IScheduler.snapshot